package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class DiagnoseLogVehicleInfo {
    @ApiModelProperty(value = "激活路径")
    private String activePath;

    @ApiModelProperty(value = "品牌")
    private String brand;

    @ApiModelProperty(value = "客户端ID")
    private Integer clientId;

    @ApiModelProperty(value = "Sn编码")
    private String vciSn;

    @ApiModelProperty(value = "日期文件夹名称")
    private String nameDateDir;

    @ApiModelProperty(value = "诊断日志文件名")
    private String nameLog;

    @ApiModelProperty(value = "诊断日志保存时间")
    private LocalDateTime nameTimePoint;

    @ApiModelProperty(value = "记录时间")
    private LocalDateTime recordTime;

    @ApiModelProperty(value = "保存路径")
    private String savePath;

    @ApiModelProperty(value = "车型ID")
    private Integer vehicleId;

    @ApiModelProperty(value = "车型")
    private String vehicle;

    @ApiModelProperty(value = "车辆识别代码")
    private String vin;
}
