package com.om.controller.user;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.vo.AppSDKVO;
import com.om.service.IVciInfoService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(tags = "APP端VCI固件模块")
@RequestMapping("app/vci")
public class APPVciController {

    @Resource
    private IVciInfoService vciInfoService;
    @ApiOperation("VCI固件更新")
    @PostMapping("/update")
    public Result<AppSDKVO> VciUpdate(@RequestBody AppBaseDTO dto){
        return vciInfoService.VciUpdate(dto);
    }

}
